summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2012-02-07 15:17:47 +0000
committerLars Wendler <polynomial-c@gentoo.org>2012-02-07 15:17:47 +0000
commit3eda1e012bb308fba769f66cf22542a2826ee173 (patch)
treef4a9a2ea29f1feb87abde86d65800cfb88d9fe72 /eclass
parentVersion bump (diff)
downloadgentoo-2-3eda1e012bb308fba769f66cf22542a2826ee173.tar.gz
gentoo-2-3eda1e012bb308fba769f66cf22542a2826ee173.tar.bz2
gentoo-2-3eda1e012bb308fba769f66cf22542a2826ee173.zip
Fixed eclass for usage with seamonkey (which has langpacks in beta releases)
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/mozlinguas.eclass10
2 files changed, 11 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index ee8d9c3acc94..54b36455e44f 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.117 2012/02/07 12:47:54 slyfox Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.118 2012/02/07 15:17:47 polynomial-c Exp $
+
+ 07 Feb 2012; Lars Wendler <polynomial-c@gentoo.org> mozlinguas.eclass:
+ Fixed eclass for usage with seamonkey (which has langpacks in beta releases).
07 Feb 2012; Sergei Trofimovich <slyfox@gentoo.org> haskell-cabal.eclass:
Added support for CABAL_EXTRA_BUILD_FLAGS and HCFLAGS magic variables.
diff --git a/eclass/mozlinguas.eclass b/eclass/mozlinguas.eclass
index c43708dde322..2ef821dc4c3d 100644
--- a/eclass/mozlinguas.eclass
+++ b/eclass/mozlinguas.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozlinguas.eclass,v 1.1 2012/02/04 18:28:32 nirbheek Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozlinguas.eclass,v 1.2 2012/02/07 15:17:47 polynomial-c Exp $
# @ECLASS: mozlinguas.eclass
# @MAINTAINER:
@@ -69,7 +69,7 @@ esac
# Add linguas_* to IUSE according to available language packs
# No language packs for alphas and betas
-if ! [[ ${PV} =~ alpha|beta ]]; then
+if ! [[ ${PV} =~ alpha|beta ]]|| { [[ ${PN} == seamonkey ]] && ! [[ ${PV} =~ alpha ]] ; } ; then
for x in "${MOZ_LANGS[@]}" ; do
# en and en_US are handled internally
if [[ ${x} == en ]] || [[ ${x} == en-US ]]; then
@@ -91,7 +91,11 @@ unset x
# Generate the list of language packs called "mozlinguas"
# This list is used to unpack and install the xpi language packs
mozlinguas_export() {
- [[ ${PV} =~ alpha|beta ]] && return
+ if [[ ${PN} == seamonkey ]] ; then
+ [[ ${PV} =~ alpha ]] && return
+ else
+ [[ ${PV} =~ alpha|beta ]] && return
+ fi
local lingua
mozlinguas=()
for lingua in ${LINGUAS}; do